Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class PlatformLink

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.PlatformLink

All Implemented Interfaces:
  Expression, Field

    public class PlatformLink

extends Field_Named

Represents a link declared inside of a hierarchical platform. Abstracts all the details of the connections and dynamic identifiers.

Version:
  $Revision: 1.14 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.util.List<PlatformPort>` | `group` The list of ports grouped onto this link.
`protected java.lang.String` | `linkType` Platform link type.
`protected java.util.List<RawDynamicIdentifier>` | `rdiGroup` A list list of the raw dynamic identifiers of the ports connected by this link.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`PlatformLink(Pair<FileRange,java.lang.String> _linkType, java.util.List<RawDynamicIdentifier> _rdiGroup)` Full constructor, used during parsing to record the type of this link and the ports it connects.
`PlatformLink(java.lang.String _name, Instance _instance, PlatformLink _link)` Copy constructor.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`java.lang.String` | `getLinkType()` Simple accessor.
`java.util.List<PlatformPort>` | `getPortGroup()` Simple accessor.
`boolean` | `isGroup()` Simple accessor.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Resolves all of the raw dynamic identifiers of the ports this link is supposed to connect.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rdiGroup

    protected java.util.List<RawDynamicIdentifier> rdiGroup

  A list list of the raw dynamic identifiers of the ports connected by this link.

### group

    protected java.util.List<PlatformPort> group

  The list of ports grouped onto this link.

### linkType

    protected java.lang.String linkType

  Platform link type.

Constructor Detail

### PlatformLink

    public PlatformLink(Pair<FileRange,java.lang.String> _linkType,
                        java.util.List<RawDynamicIdentifier> _rdiGroup)

  Full constructor, used during parsing to record the type of this link and the ports it connects.

  Parameters:
    `_linkType` - The link type string read from the RDL source.
    `_rdiGroup` - List of dynamic identifiers of ports connected by this link.

### PlatformLink

    public PlatformLink(java.lang.String _name,
                        Instance _instance,
                        PlatformLink _link)

  Copy constructor. Used during construction of the unique instance hierarchy for each platform declaration.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance this copy wil be a member of.
    `_link` - The platform link from which to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this platform link for debugging.

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Resolves all of the raw dynamic identifiers of the ports this link is supposed to connect.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Field_Named`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

### getLinkType

    public java.lang.String getLinkType()

  Simple accessor.

  Returns:
    The type of this link.

### getPortGroup

    public java.util.List<PlatformPort> getPortGroup()

  Simple accessor.

  Returns:
    A list of the `PlatformPort`s connected by this link.

### isGroup

    public boolean isGroup()

  Simple accessor.

  Returns:
    `true` if this is a link group, as opposed to just a named link type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD